Get Features Versions
Get the list of versions available for the feature types passed in feature_type query parameter. Currently supported feature types are GEO_IP, IDPS_SIGNATURE, IP_REPUTATION, URL_DB.
List of feature version string.
Successful response.
{
"total_result_count": 3,
"results": [
{
"feature_type": "IDPS_SIGNATURE",
"versions": [
"1.0",
"2.0"
]
},
{
"feature_type": "GEO_IP",
"versions": [
"1.0"
]
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
This operation contains the following vendor extensions defined in the spec:
["platform-all-airgap"]
curl -H 'Authorization: <value>' https://{api_host}/ssp/security-content/feature-versions?feature_types=v